'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Container = require('./Container');

var _Container2 = _interopRequireDefault(_Container);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Created by timur on 5/1/17.
 */

var Navbar = function Navbar(_ref) {
  var children = _ref.children;


  var items = [].concat(children).map(function (item, i) {

    switch (item.type) {

      case 'header':

        var headerItems = [].concat(item.props.children).map(function (itemChild, j) {

          switch (itemChild.type) {

            case 'brand':
              return _react2.default.createElement(
                'a',
                {
                  key: j,
                  href: '' + (itemChild.props.href ? itemChild.props.href : '#'),
                  className: 'navbar-brand'
                },
                itemChild.props.children
              );

            default:
              return itemChild;
          }
        });

        return _react2.default.createElement(
          'div',
          {
            key: i,
            className: 'navbar-header'
          },
          _react2.default.createElement(
            'button',
            {
              type: 'button',
              className: 'navbar-toggle collapsed',
              'data-toggle': 'collapse',
              'data-target': '#bs-example-navbar-collapse-1',
              'aria-expanded': 'false'
            },
            _react2.default.createElement(
              'span',
              { className: 'sr-only' },
              'Toggle navigation'
            ),
            _react2.default.createElement('span', { className: 'icon-bar' }),
            _react2.default.createElement('span', { className: 'icon-bar' }),
            _react2.default.createElement('span', { className: 'icon-bar' })
          ),
          headerItems
        );

      default:
        return item;
    }
  });

  var navBody = _react2.default.createElement(
    'div',
    { className: 'collapse navbar-collapse', id: 'bs-example-navbar-collapse-1' },
    _react2.default.createElement(
      'ul',
      { className: 'nav navbar-nav' },
      _react2.default.createElement(
        'li',
        { className: 'active' },
        _react2.default.createElement(
          'a',
          { href: '#' },
          'Link ',
          _react2.default.createElement(
            'span',
            { className: 'sr-only' },
            '(current)'
          )
        )
      ),
      _react2.default.createElement(
        'li',
        null,
        _react2.default.createElement(
          'a',
          { href: '#' },
          'Link'
        )
      ),
      _react2.default.createElement(
        'li',
        { className: 'dropdown' },
        _react2.default.createElement(
          'a',
          { href: '#', className: 'dropdown-toggle', 'data-toggle': 'dropdown', role: 'button', 'aria-haspopup': 'true', 'aria-expanded': 'false' },
          'Dropdown ',
          _react2.default.createElement('span', { className: 'caret' })
        ),
        _react2.default.createElement(
          'ul',
          { className: 'dropdown-menu' },
          _react2.default.createElement(
            'li',
            null,
            _react2.default.createElement(
              'a',
              { href: '#' },
              'Action'
            )
          ),
          _react2.default.createElement(
            'li',
            null,
            _react2.default.createElement(
              'a',
              { href: '#' },
              'Another action'
            )
          ),
          _react2.default.createElement(
            'li',
            null,
            _react2.default.createElement(
              'a',
              { href: '#' },
              'Something else here'
            )
          ),
          _react2.default.createElement('li', { role: 'separator', className: 'divider' }),
          _react2.default.createElement(
            'li',
            null,
            _react2.default.createElement(
              'a',
              { href: '#' },
              'Separated link'
            )
          ),
          _react2.default.createElement('li', { role: 'separator', className: 'divider' }),
          _react2.default.createElement(
            'li',
            null,
            _react2.default.createElement(
              'a',
              { href: '#' },
              'One more separated link'
            )
          )
        )
      )
    ),
    _react2.default.createElement(
      'form',
      { className: 'navbar-form navbar-left' },
      _react2.default.createElement(
        'div',
        { className: 'form-group' },
        _react2.default.createElement('input', { type: 'text', className: 'form-control', placeholder: 'Search' })
      ),
      _react2.default.createElement(
        'button',
        { type: 'submit', className: 'btn btn-default' },
        'Submit'
      )
    ),
    _react2.default.createElement(
      'ul',
      { className: 'nav navbar-nav navbar-right' },
      _react2.default.createElement(
        'li',
        null,
        _react2.default.createElement(
          'a',
          { href: '#' },
          'Link'
        )
      ),
      _react2.default.createElement(
        'li',
        { className: 'dropdown' },
        _react2.default.createElement(
          'a',
          { href: '#', className: 'dropdown-toggle', 'data-toggle': 'dropdown', role: 'button', 'aria-haspopup': 'true', 'aria-expanded': 'false' },
          'Dropdown ',
          _react2.default.createElement('span', { className: 'caret' })
        ),
        _react2.default.createElement(
          'ul',
          { className: 'dropdown-menu' },
          _react2.default.createElement(
            'li',
            null,
            _react2.default.createElement(
              'a',
              { href: '#' },
              'Action'
            )
          ),
          _react2.default.createElement(
            'li',
            null,
            _react2.default.createElement(
              'a',
              { href: '#' },
              'Another action'
            )
          ),
          _react2.default.createElement(
            'li',
            null,
            _react2.default.createElement(
              'a',
              { href: '#' },
              'Something else here'
            )
          ),
          _react2.default.createElement('li', { role: 'separator', className: 'divider' }),
          _react2.default.createElement(
            'li',
            null,
            _react2.default.createElement(
              'a',
              { href: '#' },
              'Separated link'
            )
          )
        )
      )
    )
  );

  return _react2.default.createElement(
    'div',
    { className: 'navbar navbar-default' },
    _react2.default.createElement(
      _Container2.default,
      { fluid: true },
      items,
      navBody
    )
  );
};

exports.default = Navbar;